com.genesyslab.wfm8.API.service.builder851

## Class SiteReoptimizationParams

- java.lang.Object
- - com.genesyslab.wfm8.API.service.builder851.SiteReoptimizationParams

- All Implemented Interfaces:
    java.io.Serializable

      public class SiteReoptimizationParams
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<java.lang.Integer>` | `agentIDArray` The list of agent IDs for which schedule should be reoptimized.
    `protected int` | `agentIDArraySize`
    `protected boolean` | `grantAllPreferences` True if 100% of preferences should be granted by calendar.
    `private static long` | `serialVersionUID`
    `protected int` | `siteID` ID of the site.
    `protected java.util.List<java.lang.Integer>` | `teamIDArray` The list of agent team IDs for which schedule should be reoptimized.
    `protected int` | `teamIDArraySize`
    `protected boolean` | `useSecondaryActivities` True if secondary activities of agents should be used during re-optimization.
    `protected int` | `wmExcludeGranted` True/False if agents with granted preferences should be excluded from team.
    `protected int` | `wmIgnoreConstraints`
    `protected int` | `wmMultiSkill` True/False if multi skill scheduling option should be used when reoptimizing.
    `protected int` | `wmShuffleAgents` True/False if agents should be shuffled when reoptimizing.
    `protected int` | `wmStaffingType` Staffing type that should be used.
    `protected int` | `wmSynchBreaks`
    `protected int` | `wmSynchDaysOff`
    `protected int` | `wmSynchDuration`
    `protected int` | `wmSynchMeals`
    `protected int` | `wmSynchStartTime`
    `protected int` | `wmTeamConstraints` True/False if team constraints should be used when reoptimizing.
    `protected int` | `wmTeamWorkWindow`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SiteReoptimizationParams()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.util.List<java.lang.Integer>` | `getAgentIDArray()` Gets the value of the agentIDArray property.
    `int` | `getAgentIDArraySize()` Gets the value of the agentIDArraySize property.
    `int` | `getSiteID()` Gets the value of the siteID property.
    `java.util.List<java.lang.Integer>` | `getTeamIDArray()` Gets the value of the teamIDArray property.
    `int` | `getTeamIDArraySize()` Gets the value of the teamIDArraySize property.
    `int` | `getWmExcludeGranted()` Gets the value of the wmExcludeGranted property.
    `int` | `getWmIgnoreConstraints()` Gets the value of the wmIgnoreConstraints property.
    `int` | `getWmMultiSkill()` Gets the value of the wmMultiSkill property.
    `int` | `getWmShuffleAgents()` Gets the value of the wmShuffleAgents property.
    `int` | `getWmStaffingType()` Gets the value of the wmStaffingType property.
    `int` | `getWmSynchBreaks()` Gets the value of the wmSynchBreaks property.
    `int` | `getWmSynchDaysOff()` Gets the value of the wmSynchDaysOff property.
    `int` | `getWmSynchDuration()` Gets the value of the wmSynchDuration property.
    `int` | `getWmSynchMeals()` Gets the value of the wmSynchMeals property.
    `int` | `getWmSynchStartTime()` Gets the value of the wmSynchStartTime property.
    `int` | `getWmTeamConstraints()` Gets the value of the wmTeamConstraints property.
    `int` | `getWmTeamWorkWindow()` Gets the value of the wmTeamWorkWindow property.
    `int` | `hashCode()`
    `boolean` | `isGrantAllPreferences()` Gets the value of the grantAllPreferences property.
    `boolean` | `isUseSecondaryActivities()` Gets the value of the useSecondaryActivities property.
    `void` | `setAgentIDArray(java.util.List<java.lang.Integer> agentIDArray)` Sets the value of the agentIDArray property.
    `void` | `setAgentIDArraySize(int agentIDArraySize)` Sets the value of the agentIDArraySize property.
    `void` | `setGrantAllPreferences(boolean grantAllPreferences)` Sets the value of the grantAllPreferences property.
    `void` | `setSiteID(int siteID)` Sets the value of the siteID property.
    `void` | `setTeamIDArray(java.util.List<java.lang.Integer> teamIDArray)` Sets the value of the teamIDArray property.
    `void` | `setTeamIDArraySize(int teamIDArraySize)` Sets the value of the teamIDArraySize property.
    `void` | `setUseSecondaryActivities(boolean useSecondaryActivities)` Sets the value of the useSecondaryActivities property.
    `void` | `setWmExcludeGranted(int wmExcludeGranted)` Sets the value of the wmExcludeGranted property.
    `void` | `setWmIgnoreConstraints(int wmIgnoreConstraints)` Sets the value of the wmIgnoreConstraints property.
    `void` | `setWmMultiSkill(int wmMultiSkill)` Sets the value of the wmMultiSkill property.
    `void` | `setWmShuffleAgents(int wmShuffleAgents)` Sets the value of the wmShuffleAgents property.
    `void` | `setWmStaffingType(int wmStaffingType)` Sets the value of the wmStaffingType property.
    `void` | `setWmSynchBreaks(int wmSynchBreaks)` Sets the value of the wmSynchBreaks property.
    `void` | `setWmSynchDaysOff(int wmSynchDaysOff)` Sets the value of the wmSynchDaysOff property.
    `void` | `setWmSynchDuration(int wmSynchDuration)` Sets the value of the wmSynchDuration property.
    `void` | `setWmSynchMeals(int wmSynchMeals)` Sets the value of the wmSynchMeals property.
    `void` | `setWmSynchStartTime(int wmSynchStartTime)` Sets the value of the wmSynchStartTime property.
    `void` | `setWmTeamConstraints(int wmTeamConstraints)` Sets the value of the wmTeamConstraints property.
    `void` | `setWmTeamWorkWindow(int wmTeamWorkWindow)` Sets the value of the wmTeamWorkWindow property.
    `java.lang.String` | `toString()`
    `SiteReoptimizationParams` | `withAgentIDArray(java.util.Collection<java.lang.Integer> values)`
    `SiteReoptimizationParams` | `withAgentIDArray(java.lang.Integer... values)`
    `SiteReoptimizationParams` | `withAgentIDArraySize(int value)`
    `SiteReoptimizationParams` | `withGrantAllPreferences(boolean value)`
    `SiteReoptimizationParams` | `withSiteID(int value)`
    `SiteReoptimizationParams` | `withTeamIDArray(java.util.Collection<java.lang.Integer> values)`
    `SiteReoptimizationParams` | `withTeamIDArray(java.lang.Integer... values)`
    `SiteReoptimizationParams` | `withTeamIDArraySize(int value)`
    `SiteReoptimizationParams` | `withUseSecondaryActivities(boolean value)`
    `SiteReoptimizationParams` | `withWmExcludeGranted(int value)`
    `SiteReoptimizationParams` | `withWmIgnoreConstraints(int value)`
    `SiteReoptimizationParams` | `withWmMultiSkill(int value)`
    `SiteReoptimizationParams` | `withWmShuffleAgents(int value)`
    `SiteReoptimizationParams` | `withWmStaffingType(int value)`
    `SiteReoptimizationParams` | `withWmSynchBreaks(int value)`
    `SiteReoptimizationParams` | `withWmSynchDaysOff(int value)`
    `SiteReoptimizationParams` | `withWmSynchDuration(int value)`
    `SiteReoptimizationParams` | `withWmSynchMeals(int value)`
    `SiteReoptimizationParams` | `withWmSynchStartTime(int value)`
    `SiteReoptimizationParams` | `withWmTeamConstraints(int value)`
    `SiteReoptimizationParams` | `withWmTeamWorkWindow(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### siteID

          protected int siteID

      ID of the site.

    - #### agentIDArraySize

          protected int agentIDArraySize

    - #### agentIDArray

          protected java.util.List<java.lang.Integer> agentIDArray

      The list of agent IDs for which schedule should be reoptimized.

    - #### teamIDArraySize

          protected int teamIDArraySize

    - #### teamIDArray

          protected java.util.List<java.lang.Integer> teamIDArray

      The list of agent team IDs for which schedule should be reoptimized.

    - #### wmMultiSkill

          protected int wmMultiSkill

      True/False if multi skill scheduling option should be used when reoptimizing.

    - #### wmStaffingType

          protected int wmStaffingType

      Staffing type that should be used. 0 - calculated, 1 - required

    - #### wmTeamConstraints

          protected int wmTeamConstraints

      True/False if team constraints should be used when reoptimizing.

    - #### wmExcludeGranted

          protected int wmExcludeGranted

      True/False if agents with granted preferences should be excluded from team.

    - #### wmShuffleAgents

          protected int wmShuffleAgents

      True/False if agents should be shuffled when reoptimizing.

    - #### wmIgnoreConstraints

          protected int wmIgnoreConstraints

    - #### wmSynchStartTime

          protected int wmSynchStartTime

    - #### wmTeamWorkWindow

          protected int wmTeamWorkWindow

    - #### wmSynchDaysOff

          protected int wmSynchDaysOff

    - #### wmSynchDuration

          protected int wmSynchDuration

    - #### wmSynchMeals

          protected int wmSynchMeals

    - #### wmSynchBreaks

          protected int wmSynchBreaks

    - #### grantAllPreferences

          protected boolean grantAllPreferences

      True if 100% of preferences should be granted by calendar.

    - #### useSecondaryActivities

          protected boolean useSecondaryActivities

      True if secondary activities of agents should be used during re-optimization. False if only primary activities should be considered.

  - ### Constructor Detail

    - #### SiteReoptimizationParams

          public SiteReoptimizationParams()

  - ### Method Detail

    - #### getSiteID

          public int getSiteID()

      Gets the value of the siteID property.

    - #### setSiteID

          public void setSiteID(int siteID)

      Sets the value of the siteID property.

    - #### withSiteID

          public SiteReoptimizationParams withSiteID(int value)

    - #### isGrantAllPreferences

          public boolean isGrantAllPreferences()

      Gets the value of the grantAllPreferences property.

    - #### setGrantAllPreferences

          public void setGrantAllPreferences(boolean grantAllPreferences)

      Sets the value of the grantAllPreferences property.

    - #### withGrantAllPreferences

          public SiteReoptimizationParams withGrantAllPreferences(boolean value)

    - #### getAgentIDArraySize

          public int getAgentIDArraySize()

      Gets the value of the agentIDArraySize property.

    - #### setAgentIDArraySize

          public void setAgentIDArraySize(int agentIDArraySize)

      Sets the value of the agentIDArraySize property.

    - #### withAgentIDArraySize

          public SiteReoptimizationParams withAgentIDArraySize(int value)

    - #### getAgentIDArray

          public java.util.List<java.lang.Integer> getAgentIDArray()

      Gets the value of the agentIDArray property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the agentIDArray property.

      For example, to add a new item, do as follows:

              getAgentIDArray().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### setAgentIDArray

          public void setAgentIDArray(java.util.List<java.lang.Integer> agentIDArray)

      Sets the value of the agentIDArray property.
      Parameters:
        `agentIDArray` - allowed object is `Integer`

    - #### withAgentIDArray

          public SiteReoptimizationParams withAgentIDArray(java.lang.Integer... values)

    - #### withAgentIDArray

          public SiteReoptimizationParams withAgentIDArray(java.util.Collection<java.lang.Integer> values)

    - #### getTeamIDArraySize

          public int getTeamIDArraySize()

      Gets the value of the teamIDArraySize property.

    - #### setTeamIDArraySize

          public void setTeamIDArraySize(int teamIDArraySize)

      Sets the value of the teamIDArraySize property.

    - #### withTeamIDArraySize

          public SiteReoptimizationParams withTeamIDArraySize(int value)

    - #### getTeamIDArray

          public java.util.List<java.lang.Integer> getTeamIDArray()

      Gets the value of the teamIDArray property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the teamIDArray property.

      For example, to add a new item, do as follows:

              getTeamIDArray().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### setTeamIDArray

          public void setTeamIDArray(java.util.List<java.lang.Integer> teamIDArray)

      Sets the value of the teamIDArray property.
      Parameters:
        `teamIDArray` - allowed object is `Integer`

    - #### withTeamIDArray

          public SiteReoptimizationParams withTeamIDArray(java.lang.Integer... values)

    - #### withTeamIDArray

          public SiteReoptimizationParams withTeamIDArray(java.util.Collection<java.lang.Integer> values)

    - #### isUseSecondaryActivities

          public boolean isUseSecondaryActivities()

      Gets the value of the useSecondaryActivities property.

    - #### setUseSecondaryActivities

          public void setUseSecondaryActivities(boolean useSecondaryActivities)

      Sets the value of the useSecondaryActivities property.

    - #### withUseSecondaryActivities

          public SiteReoptimizationParams withUseSecondaryActivities(boolean value)

    - #### getWmExcludeGranted

          public int getWmExcludeGranted()

      Gets the value of the wmExcludeGranted property.

    - #### setWmExcludeGranted

          public void setWmExcludeGranted(int wmExcludeGranted)

      Sets the value of the wmExcludeGranted property.

    - #### withWmExcludeGranted

          public SiteReoptimizationParams withWmExcludeGranted(int value)

    - #### getWmIgnoreConstraints

          public int getWmIgnoreConstraints()

      Gets the value of the wmIgnoreConstraints property.

    - #### setWmIgnoreConstraints

          public void setWmIgnoreConstraints(int wmIgnoreConstraints)

      Sets the value of the wmIgnoreConstraints property.

    - #### withWmIgnoreConstraints

          public SiteReoptimizationParams withWmIgnoreConstraints(int value)

    - #### getWmMultiSkill

          public int getWmMultiSkill()

      Gets the value of the wmMultiSkill property.

    - #### setWmMultiSkill

          public void setWmMultiSkill(int wmMultiSkill)

      Sets the value of the wmMultiSkill property.

    - #### withWmMultiSkill

          public SiteReoptimizationParams withWmMultiSkill(int value)

    - #### getWmShuffleAgents

          public int getWmShuffleAgents()

      Gets the value of the wmShuffleAgents property.

    - #### setWmShuffleAgents

          public void setWmShuffleAgents(int wmShuffleAgents)

      Sets the value of the wmShuffleAgents property.

    - #### withWmShuffleAgents

          public SiteReoptimizationParams withWmShuffleAgents(int value)

    - #### getWmStaffingType

          public int getWmStaffingType()

      Gets the value of the wmStaffingType property.

    - #### setWmStaffingType

          public void setWmStaffingType(int wmStaffingType)

      Sets the value of the wmStaffingType property.

    - #### withWmStaffingType

          public SiteReoptimizationParams withWmStaffingType(int value)

    - #### getWmSynchBreaks

          public int getWmSynchBreaks()

      Gets the value of the wmSynchBreaks property.

    - #### setWmSynchBreaks

          public void setWmSynchBreaks(int wmSynchBreaks)

      Sets the value of the wmSynchBreaks property.

    - #### withWmSynchBreaks

          public SiteReoptimizationParams withWmSynchBreaks(int value)

    - #### getWmSynchDaysOff

          public int getWmSynchDaysOff()

      Gets the value of the wmSynchDaysOff property.

    - #### setWmSynchDaysOff

          public void setWmSynchDaysOff(int wmSynchDaysOff)

      Sets the value of the wmSynchDaysOff property.

    - #### withWmSynchDaysOff

          public SiteReoptimizationParams withWmSynchDaysOff(int value)

    - #### getWmSynchDuration

          public int getWmSynchDuration()

      Gets the value of the wmSynchDuration property.

    - #### setWmSynchDuration

          public void setWmSynchDuration(int wmSynchDuration)

      Sets the value of the wmSynchDuration property.

    - #### withWmSynchDuration

          public SiteReoptimizationParams withWmSynchDuration(int value)

    - #### getWmSynchMeals

          public int getWmSynchMeals()

      Gets the value of the wmSynchMeals property.

    - #### setWmSynchMeals

          public void setWmSynchMeals(int wmSynchMeals)

      Sets the value of the wmSynchMeals property.

    - #### withWmSynchMeals

          public SiteReoptimizationParams withWmSynchMeals(int value)

    - #### getWmSynchStartTime

          public int getWmSynchStartTime()

      Gets the value of the wmSynchStartTime property.

    - #### setWmSynchStartTime

          public void setWmSynchStartTime(int wmSynchStartTime)

      Sets the value of the wmSynchStartTime property.

    - #### withWmSynchStartTime

          public SiteReoptimizationParams withWmSynchStartTime(int value)

    - #### getWmTeamConstraints

          public int getWmTeamConstraints()

      Gets the value of the wmTeamConstraints property.

    - #### setWmTeamConstraints

          public void setWmTeamConstraints(int wmTeamConstraints)

      Sets the value of the wmTeamConstraints property.

    - #### withWmTeamConstraints

          public SiteReoptimizationParams withWmTeamConstraints(int value)

    - #### getWmTeamWorkWindow

          public int getWmTeamWorkWindow()

      Gets the value of the wmTeamWorkWindow property.

    - #### setWmTeamWorkWindow

          public void setWmTeamWorkWindow(int wmTeamWorkWindow)

      Sets the value of the wmTeamWorkWindow property.

    - #### withWmTeamWorkWindow

          public SiteReoptimizationParams withWmTeamWorkWindow(int value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.